{
  "format_version": "1.21.0",
  "minecraft:entity": {
    "description": {
      "identifier": "drz:container_drz",
      "is_spawnable": false,
      "is_summonable": true,
      "is_experimental": false
    },
    "component_groups": {
      "open": {
        "minecraft:collision_box": {"width": 1, "height": 1}
      },
      "close": {
        "minecraft:collision_box": {"width": 0.1, "height": 0.1}
      },
      "slot_15": {
        "minecraft:inventory": {
          "inventory_size": 15,
          "container_type": "container"
        }
      },
      "slot_12": {
        "minecraft:inventory": {
          "inventory_size": 12,
          "container_type": "container"
        }
      },
      "slot_9": {
        "minecraft:inventory": {
          "inventory_size": 12,
          "container_type": "container"
        }
      }
    },
    "components": {
      "minecraft:type_family": {
        "family": ["container", "drz" ]
      },
      "minecraft:damage_sensor": {
        "triggers": {"cause": "all", "deals_damage": false}
      },
      "minecraft:inventory": {
        "inventory_size": 27,
        "container_type": "container"
      },
      "minecraft:collision_box": {"width": 0.1, "height": 0.1},
      "minecraft:physics": {
        "has_gravity": false,
        "has_collision": false
      },
      "minecraft:pushable": {"is_pushable": false},
      "minecraft:knockback_resistance": {"value": 9},
      "minecraft:persistent": {},
      "minecraft:conditional_bandwidth_optimization": {}
    },
    "events": {
      "open": {
        "remove": { "component_groups": ["close"] },
        "add"   : { "component_groups": ["open"] }
      },
      "close": {
        "remove": { "component_groups": ["open"] },
        "add"   : { "component_groups": ["close"] }
      },
      "slot_15": {
        "add"   : { "component_groups": ["slot_15"] }
      },
      "slot_12": {
        "add"   : { "component_groups": ["slot_12"] }
      },
      "slot_9": {
        "add"   : { "component_groups": ["slot_9"] }
      }
    }
  }
}